%--------------------------------------------------------------------------
% File     : CAT018=FactEx-3 : TPTP v1.1.1. Bugfixed v1.0.0.
% Domain   : Category Theory
% Problem  : If xy and yz exist, then so does x(yz)
% Version  : [Scott, 1979] axioms : Reduced > Complete.
% English  : 

% Refs     : Scott D. (1979), Identity & Existence in Intuitionist Logic, 
%            In Fournam M.P. (Ed), Durham Proceedings Applications 
%            of Sheaves, (Lecture Notes in Mathematics Volume 753), 
%            660-696.
% Source   : [ANL]
% Names    : p18.ver3.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   32 (   2 non-Horn)(   7 unit)
%            Number of literals          :   67 (  36 equality)
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :    7 (   3 constant)
%            Number of variables         :   61 (   4 singleton)
%            Maximal clause size         :    4
%            Maximal term depth          :    3

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_ab_exists,hypothesis,
    [++there_exists(compose(a,b))]).

input_clause(assume_bc_exists,hypothesis,
    [++there_exists(compose(b,c))]).

input_clause(prove_a_bc_exists,theorem,
    [--there_exists(compose(a,compose(b,c)))]).
%--------------------------------------------------------------------------
