%--------------------------------------------------------------------------
% File     : GEO010=CollInvar-2 : TPTP v1.1.1. Bugfixed v1.0.0.
% Domain   : Geometry
% Problem  : Collinearity is invariant
% Version  : [Quaife, 1989] axioms.
% English  : For all points x, y, and z, if x, y, and z are collinear 
%            in one order, they are collinear in any order.

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
%          : Quaife A. (1989), Automated Development of Tarski's Geometry, 
%            Journal of Automated Reasoning 5(1), 97-118.
% Source   : [Quaife, 1989]
% Names    : T10 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   62 (   6 non-Horn)(   8 unit)
%            Number of literals          :  158 (  73 equality)
%            Number of predicate symbols :    4 (   0 propositional)
%            Number of function symbols  :   11 (   6 constant)
%            Number of variables         :  285 (   3 singleton)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include Tarski geometry axioms for colinearity 
include('Axioms/GEO002-1.ax').
include('Axioms/GEO002-1.eq').
%--------------------------------------------------------------------------
input_clause(abc_colinear,hypothesis,
    [++colinear(a,b,c)]).

input_clause(prove_colinear_in_all_orders,theorem,
    [--colinear(a,c,b),
     --colinear(b,a,c),
     --colinear(b,c,a),
     --colinear(c,a,b),
     --colinear(c,b,a)]).
%--------------------------------------------------------------------------
