%--------------------------------------------------------------------------
% File     : LCL086=Lk4_IC1-1 : TPTP v1.1.1. Bugfixed v1.0.0.
% Domain   : Logic Calculi (Implicational propositional)
% Problem  : IC-1 depends on the 4th Lukasiewicz axiom
% Version  : 
% English  : Axiomatisations of the Implicational propositional calculus 
%            are {IC-2,IC-3,IC-4} by Tarski-Bernays and single Lukasiewicz 
%            axioms. Show that IC-1 depends on the fourth Lukasiewicz 
%            axiom.

% Refs     : Lukasiewicz J. (1948), The Shortest Axiom of the 
%            Implicational Calculus of Propositions, Proceedings of the 
%            Royal Irish Academy 52(3), 25-33.
%          : Pfenning F. (1988), Single Axioms in the Implicational 
%            Propositional Calculus, In Lusk E., Overbeek R. (Eds), 
%            Proceedings of the 9th International Conference on Automated 
%            Deduction (Argonne, IL, 1988), (Lecture Notes in Computer 
%            Science 310), Springer-Verlag, New York, NY, 710-713.
% Source   : [Pfenning, 1988]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 unit)
%            Number of literals          :    5 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    2 (   1 constant)
%            Number of variables         :    7 (   2 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(ic_JLukasiewicz_4,axiom,
    [++is_a_theorem(implies(implies(implies(P,Q),implies(R,S)),
implies(T,implies(implies(S,P),implies(R,P)))))]).

input_clause(prove_ic_1,theorem,
    [--is_a_theorem(implies(a,a))]).
%--------------------------------------------------------------------------
