%--------------------------------------------------------------------------
% File     : LCL247=PropEqn3.37-1 : TPTP v1.1.1. Bugfixed v1.1.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Principia Mathematica 3.37
% Version  : [Whitehead & Russell, 1927] axioms.
% English  : 

% Refs     : Whitehead A.N. and Russell B. (1927), Principia Mathematica, 
%            Volume 1, 2nd Edition, Cambridge United Press, Cambridge, 
%            England.
%          : Newell A., Shaw J.C., Simon H.A. (1963), Empirical 
%            Explorations with the Logic Theory Machine: A Case Study 
%            in Heuristics, In Feigenbaum E., Feldman J. (Eds), Computers 
%            and Thought, McGraw-Hill, New York, USA, 109-133.
%          : O'Rorke P. (1989), LT Revisited: Experimental-Based Learning 
%            and the Logic of Principia Mathematica, Machine Learning 
%            4(2), Kluwer Academic Publishers, 117-159.
%          : Segre A.M., Elkan C. (1994), A High Performance 
%            Explanation-Based Learning Algorithm, Artificial Intelligence 
%            (to appear).
% Source   : [Segre & Elkan, 1994]
% Names    : Problem 3.37 [Whitehead & Russell, 1927]

% Status   : 
% Syntax   : Number of clauses           :    9 (   0 non-Horn)(   6 unit)
%            Number of literals          :   14 (   0 equality)
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    6 (   3 constant)
%            Number of variables         :   17 (   1 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of propositional logic 
include('Axioms/LCL003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_this,theorem,
    [--theorem(or(not(or(not(and(p,q)),r)),or(not(and(p,not(r))),
not(q))))]).
%--------------------------------------------------------------------------
