%--------------------------------------------------------------------------
% File     : NUM018=Inf2PrmEx-1 : TPTP v1.1.1. Bugfixed v1.0.0.
% Domain   : Number Theory
% Problem  : There is an infinite number of twin prime numbers
% Version  : [Boyer, et al., 1986] axioms.
% English  : 

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and 
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses for 
%            Godel's Axioms,  Journal of Automated Reasoning 2(3), 
%            287-327.
% Source   : [Boyer, et al., 1986]
% Names    : Problem 245 [Boyer, et al., 1986]

% Status   : 
% Syntax   : Number of clauses           :  406 (  59 non-Horn)(  13 unit)
%            Number of literals          : 1047 ( 409 equality)
%            Number of predicate symbols :   20 (   0 propositional)
%            Number of function symbols  :   92 (  12 constant)
%            Number of variables         : 1092 (  32 singleton)
%            Maximal clause size         :    8
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.eq').
%----Include the axioms for number theory from Godel's set axioms 
include('Axioms/NUM003-0.ax').
%----Include the equality axioms for number theory from Godel's set 
%----axioms 
include('Axioms/NUM003-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_infinite_number_of_twin_primes,theorem,
    [++finite(twin_prime_numbers)]).
%--------------------------------------------------------------------------
