%--------------------------------------------------------------------------
% File     : SET203=XProdEqn1Cor-6 : TPTP v1.1.1. Bugfixed v1.0.0.
% Domain   : Set Theory
% Problem  : Corollary to cross product product property 1
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : CP1 cor. [Quaife, 1992]

% Status   : 
% Syntax   : Number of clauses           :  193 (   8 non-Horn)(  44 unit)
%            Number of literals          :  392 ( 184 equality)
%            Number of predicate symbols :   11 (   0 propositional)
%            Number of function symbols  :   50 (  16 constant)
%            Number of variables         :  440 (  33 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. With a few exceptions
%            (the problems that correspond to [Bledsoe, et al., 1986]
%            problems), the TPTP has retained the order in which Quaife
%            presents the problems. The user may create an augmented
%            version of this problem by adding all previously proved
%            theorems (the ones that correspond to [Bledsoe, et al., 
%            1986] are easily identified and positioned using Quaife's
%            naming scheme).
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_to_X_product_property1_1,theorem,
    [++member(u,x)]).

input_clause(prove_corollary_to_X_product_property1_2,theorem,
    [++member(v,y)]).

input_clause(prove_corollary_to_X_product_property1_3,theorem,
    [--member(ordered_pair(u,v),cross_product(universal_class,
universal_class))]).
%--------------------------------------------------------------------------
