%--------------------------------------------------------------------------
% File     : SET474=RstdDomLem2-6 : TPTP v1.1.1. Bugfixed v1.0.1.
% Domain   : Set Theory
% Problem  : Lemma 2 to restricted domain
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : ID11.2 [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  190 (   8 non-Horn)(  41 unit)
%            Number of literals          :  389 ( 182 equality)
%            Number of predicate symbols :   11 (   0 propositional)
%            Number of function symbols  :   48 (  14 constant)
%            Number of variables         :  437 (  33 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992], Theorem ID11 in Quaife's collection
%          : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. With a few exceptions 
%            (the problems that correspond to [Bledsoe, et al., 1986] 
%            problems), the TPTP has retained the order in which Quaife 
%            presents the problems. The user may create an augmented 
%            version of this problem by adding all previously proved 
%            theorems (the ones that correspond to [Bledsoe, et al., 1986] 
%            are easily identified and positioned using Quaife's naming 
%            scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_lemma_2_to_restricted_domain_1,theorem,
    [++subclass(cross_product(y,y),union(x,identity_relation))]).

input_clause(prove_lemma_2_to_restricted_domain_2,theorem,
    [--equal(domain_of(restrict(x,y,y)),y)]).

input_clause(prove_lemma_2_to_restricted_domain_3,theorem,
    [--subclass(cross_product(y,y),identity_relation)]).
%--------------------------------------------------------------------------
