%--------------------------------------------------------------------------
% File     : SYN001=Allways-1.001 : TPTP v1.1.1. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : All signed combinations of some propositions.
% Version  : Theorem formulation : 1 proposition.
% English  : 2: A biconditional version of the 'most difficult' theorem
%               proved by the new logic theorist.
%          : 6: The Law of Excluded Middle: can be quite difficult for
%               'natural' systems.
%          : 7: Expanded Law of Excluded Middle. The strategies of the
%               original Logic Theorist cannot prove this.
%          : 8: Pierce's Law. Unprovable by Logic Theorist, and tricky
%               for 'natural' systems.
%          : 11:A simple problem designed to see whether 'natural'
%               systems can do it efficiently (or whether they
%               incorrectly try to prove the -> each way).

% Refs     : Newell A. and Simon H. (1972), Human Problem Solving, 
%            Prentice-Hall, Englewood Cliffs, NJ.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 2 [Pelletier, 1986]
%          : Pelletier 6 [Pelletier, 1986]
%          : Pelletier 7 [Pelletier, 1986]
%          : Pelletier 8 [Pelletier, 1986]
%          : Pelletier 11 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    2 (   0 non-Horn)(   2 unit)
%            Number of literals          :    2 (   0 equality)
%            Number of predicate symbols :    1 (   1 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    1
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [++p]).

input_clause(clause_2,theorem,
    [--p]).
%--------------------------------------------------------------------------
