%--------------------------------------------------------------------------
% File     : SYN036=PAndrews-1 : TPTP v1.1.1. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Andrews Challenge Problem
% Version  : Theorem formulation : Erroneous, as in [Pelletier, 1986]
% English  : 

% Refs     : De Champeaux D. (1979), Sub-problem Finder and Instance 
%            Checker: Two Co-operating Preprocessors for Theorem Provers, 
%            Proceedings of the 6th International Joint Conference 
%            on Artificial Intelligence, 191-196.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Pelletier F.J. (1988), Errata, Journal of Automated
%            Reasoning 4(2), 235-236.
% Source   : [OTTER]
% Names    : Pelletier 34 [Pelletier, 1986]
%          : andrews.in [OTTER]

% Status   : 
% Syntax   : Number of clauses           :  128 ( 127 non-Horn)(   0 unit)
%            Number of literals          : 1024 (   0 equality)
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :   24 (  20 constant)
%            Number of variables         :  512 ( 384 singleton)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : This problem is incorrect in [Pelletier, 1986] and is
%            corrected in [Pelletier, 1988].
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [++p(X),
     ++p(f1(X)),
     --q(U),
     ++p(V),
     ++q(f2(W)),
     ++q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_2,theorem,
    [++p(X),
     ++p(f1(X)),
     --q(U),
     ++p(V),
     ++q(f2(W)),
     ++q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_3,theorem,
    [++p(X),
     ++p(f1(X)),
     --q(U),
     ++p(V),
     --q(f2(W)),
     --q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_4,theorem,
    [++p(X),
     ++p(f1(X)),
     --q(U),
     ++p(V),
     --q(f2(W)),
     --q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_5,theorem,
    [++p(X),
     ++p(f1(X)),
     --q(U),
     ++p(V),
     --q(Z),
     ++q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_6,theorem,
    [++p(X),
     ++p(f1(X)),
     --q(U),
     ++p(V),
     --q(Z),
     ++q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_7,theorem,
    [++p(X),
     ++p(f1(X)),
     --q(U),
     ++p(V),
     ++q(Z),
     --q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_8,theorem,
    [++p(X),
     ++p(f1(X)),
     --q(U),
     ++p(V),
     ++q(Z),
     --q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_9,theorem,
    [++p(X),
     ++p(f1(X)),
     ++q(c1),
     --p(c2),
     ++q(f2(W)),
     ++q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_10,theorem,
    [++p(X),
     ++p(f1(X)),
     ++q(c1),
     --p(c2),
     ++q(f2(W)),
     ++q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_11,theorem,
    [++p(X),
     ++p(f1(X)),
     ++q(c1),
     --p(c2),
     --q(f2(W)),
     --q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_12,theorem,
    [++p(X),
     ++p(f1(X)),
     ++q(c1),
     --p(c2),
     --q(f2(W)),
     --q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_13,theorem,
    [++p(X),
     ++p(f1(X)),
     ++q(c1),
     --p(c2),
     --q(Z),
     ++q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_14,theorem,
    [++p(X),
     ++p(f1(X)),
     ++q(c1),
     --p(c2),
     --q(Z),
     ++q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_15,theorem,
    [++p(X),
     ++p(f1(X)),
     ++q(c1),
     --p(c2),
     ++q(Z),
     --q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_16,theorem,
    [++p(X),
     ++p(f1(X)),
     ++q(c1),
     --p(c2),
     ++q(Z),
     --q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_17,theorem,
    [--p(X),
     --p(f1(X)),
     --q(U),
     ++p(V),
     ++q(f2(W)),
     ++q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_18,theorem,
    [--p(X),
     --p(f1(X)),
     --q(U),
     ++p(V),
     ++q(f2(W)),
     ++q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_19,theorem,
    [--p(X),
     --p(f1(X)),
     --q(U),
     ++p(V),
     --q(f2(W)),
     --q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_20,theorem,
    [--p(X),
     --p(f1(X)),
     --q(U),
     ++p(V),
     --q(f2(W)),
     --q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_21,theorem,
    [--p(X),
     --p(f1(X)),
     --q(U),
     ++p(V),
     --q(Z),
     ++q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_22,theorem,
    [--p(X),
     --p(f1(X)),
     --q(U),
     ++p(V),
     --q(Z),
     ++q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_23,theorem,
    [--p(X),
     --p(f1(X)),
     --q(U),
     ++p(V),
     ++q(Z),
     --q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_24,theorem,
    [--p(X),
     --p(f1(X)),
     --q(U),
     ++p(V),
     ++q(Z),
     --q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_25,theorem,
    [--p(X),
     --p(f1(X)),
     ++q(c1),
     --p(c2),
     ++q(f2(W)),
     ++q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_26,theorem,
    [--p(X),
     --p(f1(X)),
     ++q(c1),
     --p(c2),
     ++q(f2(W)),
     ++q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_27,theorem,
    [--p(X),
     --p(f1(X)),
     ++q(c1),
     --p(c2),
     --q(f2(W)),
     --q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_28,theorem,
    [--p(X),
     --p(f1(X)),
     ++q(c1),
     --p(c2),
     --q(f2(W)),
     --q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_29,theorem,
    [--p(X),
     --p(f1(X)),
     ++q(c1),
     --p(c2),
     --q(Z),
     ++q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_30,theorem,
    [--p(X),
     --p(f1(X)),
     ++q(c1),
     --p(c2),
     --q(Z),
     ++q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_31,theorem,
    [--p(X),
     --p(f1(X)),
     ++q(c1),
     --p(c2),
     ++q(Z),
     --q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_32,theorem,
    [--p(X),
     --p(f1(X)),
     ++q(c1),
     --p(c2),
     ++q(Z),
     --q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_33,theorem,
    [--p(c3),
     ++p(Y),
     ++q(c4),
     ++p(X3),
     ++q(f2(W)),
     ++q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_34,theorem,
    [--p(c3),
     ++p(Y),
     ++q(c4),
     ++p(X3),
     ++q(f2(W)),
     ++q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_35,theorem,
    [--p(c3),
     ++p(Y),
     ++q(c4),
     ++p(X3),
     --q(f2(W)),
     --q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_36,theorem,
    [--p(c3),
     ++p(Y),
     ++q(c4),
     ++p(X3),
     --q(f2(W)),
     --q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_37,theorem,
    [--p(c3),
     ++p(Y),
     ++q(c4),
     ++p(X3),
     --q(Z),
     ++q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_38,theorem,
    [--p(c3),
     ++p(Y),
     ++q(c4),
     ++p(X3),
     --q(Z),
     ++q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_39,theorem,
    [--p(c3),
     ++p(Y),
     ++q(c4),
     ++p(X3),
     ++q(Z),
     --q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_40,theorem,
    [--p(c3),
     ++p(Y),
     ++q(c4),
     ++p(X3),
     ++q(Z),
     --q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_41,theorem,
    [--p(c3),
     ++p(Y),
     --q(X4),
     --p(c5),
     ++q(f2(W)),
     ++q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_42,theorem,
    [--p(c3),
     ++p(Y),
     --q(X4),
     --p(c5),
     ++q(f2(W)),
     ++q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_43,theorem,
    [--p(c3),
     ++p(Y),
     --q(X4),
     --p(c5),
     --q(f2(W)),
     --q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_44,theorem,
    [--p(c3),
     ++p(Y),
     --q(X4),
     --p(c5),
     --q(f2(W)),
     --q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_45,theorem,
    [--p(c3),
     ++p(Y),
     --q(X4),
     --p(c5),
     --q(Z),
     ++q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_46,theorem,
    [--p(c3),
     ++p(Y),
     --q(X4),
     --p(c5),
     --q(Z),
     ++q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_47,theorem,
    [--p(c3),
     ++p(Y),
     --q(X4),
     --p(c5),
     ++q(Z),
     --q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_48,theorem,
    [--p(c3),
     ++p(Y),
     --q(X4),
     --p(c5),
     ++q(Z),
     --q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_49,theorem,
    [++p(c3),
     --p(Y),
     ++q(c4),
     ++p(X3),
     ++q(f2(W)),
     ++q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_50,theorem,
    [++p(c3),
     --p(Y),
     ++q(c4),
     ++p(X3),
     ++q(f2(W)),
     ++q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_51,theorem,
    [++p(c3),
     --p(Y),
     ++q(c4),
     ++p(X3),
     --q(f2(W)),
     --q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_52,theorem,
    [++p(c3),
     --p(Y),
     ++q(c4),
     ++p(X3),
     --q(f2(W)),
     --q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_53,theorem,
    [++p(c3),
     --p(Y),
     ++q(c4),
     ++p(X3),
     --q(Z),
     ++q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_54,theorem,
    [++p(c3),
     --p(Y),
     ++q(c4),
     ++p(X3),
     --q(Z),
     ++q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_55,theorem,
    [++p(c3),
     --p(Y),
     ++q(c4),
     ++p(X3),
     ++q(Z),
     --q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_56,theorem,
    [++p(c3),
     --p(Y),
     ++q(c4),
     ++p(X3),
     ++q(Z),
     --q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_57,theorem,
    [++p(c3),
     --p(Y),
     --q(X4),
     --p(c5),
     ++q(f2(W)),
     ++q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_58,theorem,
    [++p(c3),
     --p(Y),
     --q(X4),
     --p(c5),
     ++q(f2(W)),
     ++q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_59,theorem,
    [++p(c3),
     --p(Y),
     --q(X4),
     --p(c5),
     --q(f2(W)),
     --q(W),
     --p(X1),
     ++q(X2)]).

input_clause(clause_60,theorem,
    [++p(c3),
     --p(Y),
     --q(X4),
     --p(c5),
     --q(f2(W)),
     --q(W),
     ++p(c6),
     --q(c7)]).

input_clause(clause_61,theorem,
    [++p(c3),
     --p(Y),
     --q(X4),
     --p(c5),
     --q(Z),
     ++q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_62,theorem,
    [++p(c3),
     --p(Y),
     --q(X4),
     --p(c5),
     --q(Z),
     ++q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_63,theorem,
    [++p(c3),
     --p(Y),
     --q(X4),
     --p(c5),
     ++q(Z),
     --q(c8),
     ++p(c9),
     ++q(X5)]).

input_clause(clause_64,theorem,
    [++p(c3),
     --p(Y),
     --q(X4),
     --p(c5),
     ++q(Z),
     --q(c8),
     --p(X6),
     --q(c10)]).

input_clause(clause_65,theorem,
    [--p(c11),
     ++p(X7),
     --q(X8),
     ++p(X9),
     --q(X13),
     ++q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_66,theorem,
    [--p(c11),
     ++p(X7),
     --q(X8),
     ++p(X9),
     --q(X13),
     ++q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_67,theorem,
    [--p(c11),
     ++p(X7),
     --q(X8),
     ++p(X9),
     ++q(X13),
     --q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_68,theorem,
    [--p(c11),
     ++p(X7),
     --q(X8),
     ++p(X9),
     ++q(X13),
     --q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_69,theorem,
    [--p(c11),
     ++p(X7),
     --q(X8),
     ++p(X9),
     ++q(f4(X16)),
     ++q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_70,theorem,
    [--p(c11),
     ++p(X7),
     --q(X8),
     ++p(X9),
     ++q(f4(X16)),
     ++q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_71,theorem,
    [--p(c11),
     ++p(X7),
     --q(X8),
     ++p(X9),
     --q(f4(X16)),
     --q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_72,theorem,
    [--p(c11),
     ++p(X7),
     --q(X8),
     ++p(X9),
     --q(f4(X16)),
     --q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_73,theorem,
    [--p(c11),
     ++p(X7),
     ++q(c12),
     --p(c13),
     --q(X13),
     ++q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_74,theorem,
    [--p(c11),
     ++p(X7),
     ++q(c12),
     --p(c13),
     --q(X13),
     ++q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_75,theorem,
    [--p(c11),
     ++p(X7),
     ++q(c12),
     --p(c13),
     ++q(X13),
     --q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_76,theorem,
    [--p(c11),
     ++p(X7),
     ++q(c12),
     --p(c13),
     ++q(X13),
     --q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_77,theorem,
    [--p(c11),
     ++p(X7),
     ++q(c12),
     --p(c13),
     ++q(f4(X16)),
     ++q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_78,theorem,
    [--p(c11),
     ++p(X7),
     ++q(c12),
     --p(c13),
     ++q(f4(X16)),
     ++q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_79,theorem,
    [--p(c11),
     ++p(X7),
     ++q(c12),
     --p(c13),
     --q(f4(X16)),
     --q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_80,theorem,
    [--p(c11),
     ++p(X7),
     ++q(c12),
     --p(c13),
     --q(f4(X16)),
     --q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_81,theorem,
    [++p(c11),
     --p(X7),
     --q(X8),
     ++p(X9),
     --q(X13),
     ++q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_82,theorem,
    [++p(c11),
     --p(X7),
     --q(X8),
     ++p(X9),
     --q(X13),
     ++q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_83,theorem,
    [++p(c11),
     --p(X7),
     --q(X8),
     ++p(X9),
     ++q(X13),
     --q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_84,theorem,
    [++p(c11),
     --p(X7),
     --q(X8),
     ++p(X9),
     ++q(X13),
     --q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_85,theorem,
    [++p(c11),
     --p(X7),
     --q(X8),
     ++p(X9),
     ++q(f4(X16)),
     ++q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_86,theorem,
    [++p(c11),
     --p(X7),
     --q(X8),
     ++p(X9),
     ++q(f4(X16)),
     ++q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_87,theorem,
    [++p(c11),
     --p(X7),
     --q(X8),
     ++p(X9),
     --q(f4(X16)),
     --q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_88,theorem,
    [++p(c11),
     --p(X7),
     --q(X8),
     ++p(X9),
     --q(f4(X16)),
     --q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_89,theorem,
    [++p(c11),
     --p(X7),
     ++q(c12),
     --p(c13),
     --q(X13),
     ++q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_90,theorem,
    [++p(c11),
     --p(X7),
     ++q(c12),
     --p(c13),
     --q(X13),
     ++q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_91,theorem,
    [++p(c11),
     --p(X7),
     ++q(c12),
     --p(c13),
     ++q(X13),
     --q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_92,theorem,
    [++p(c11),
     --p(X7),
     ++q(c12),
     --p(c13),
     ++q(X13),
     --q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_93,theorem,
    [++p(c11),
     --p(X7),
     ++q(c12),
     --p(c13),
     ++q(f4(X16)),
     ++q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_94,theorem,
    [++p(c11),
     --p(X7),
     ++q(c12),
     --p(c13),
     ++q(f4(X16)),
     ++q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_95,theorem,
    [++p(c11),
     --p(X7),
     ++q(c12),
     --p(c13),
     --q(f4(X16)),
     --q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_96,theorem,
    [++p(c11),
     --p(X7),
     ++q(c12),
     --p(c13),
     --q(f4(X16)),
     --q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_97,theorem,
    [++p(X10),
     ++p(f3(X10)),
     ++q(c14),
     ++p(X11),
     --q(X13),
     ++q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_98,theorem,
    [++p(X10),
     ++p(f3(X10)),
     ++q(c14),
     ++p(X11),
     --q(X13),
     ++q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_99,theorem,
    [++p(X10),
     ++p(f3(X10)),
     ++q(c14),
     ++p(X11),
     ++q(X13),
     --q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_100,theorem,
    [++p(X10),
     ++p(f3(X10)),
     ++q(c14),
     ++p(X11),
     ++q(X13),
     --q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_101,theorem,
    [++p(X10),
     ++p(f3(X10)),
     ++q(c14),
     ++p(X11),
     ++q(f4(X16)),
     ++q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_102,theorem,
    [++p(X10),
     ++p(f3(X10)),
     ++q(c14),
     ++p(X11),
     ++q(f4(X16)),
     ++q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_103,theorem,
    [++p(X10),
     ++p(f3(X10)),
     ++q(c14),
     ++p(X11),
     --q(f4(X16)),
     --q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_104,theorem,
    [++p(X10),
     ++p(f3(X10)),
     ++q(c14),
     ++p(X11),
     --q(f4(X16)),
     --q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_105,theorem,
    [++p(X10),
     ++p(f3(X10)),
     --q(X12),
     --p(c15),
     --q(X13),
     ++q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_106,theorem,
    [++p(X10),
     ++p(f3(X10)),
     --q(X12),
     --p(c15),
     --q(X13),
     ++q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_107,theorem,
    [++p(X10),
     ++p(f3(X10)),
     --q(X12),
     --p(c15),
     ++q(X13),
     --q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_108,theorem,
    [++p(X10),
     ++p(f3(X10)),
     --q(X12),
     --p(c15),
     ++q(X13),
     --q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_109,theorem,
    [++p(X10),
     ++p(f3(X10)),
     --q(X12),
     --p(c15),
     ++q(f4(X16)),
     ++q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_110,theorem,
    [++p(X10),
     ++p(f3(X10)),
     --q(X12),
     --p(c15),
     ++q(f4(X16)),
     ++q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_111,theorem,
    [++p(X10),
     ++p(f3(X10)),
     --q(X12),
     --p(c15),
     --q(f4(X16)),
     --q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_112,theorem,
    [++p(X10),
     ++p(f3(X10)),
     --q(X12),
     --p(c15),
     --q(f4(X16)),
     --q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_113,theorem,
    [--p(X10),
     --p(f3(X10)),
     ++q(c14),
     ++p(X11),
     --q(X13),
     ++q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_114,theorem,
    [--p(X10),
     --p(f3(X10)),
     ++q(c14),
     ++p(X11),
     --q(X13),
     ++q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_115,theorem,
    [--p(X10),
     --p(f3(X10)),
     ++q(c14),
     ++p(X11),
     ++q(X13),
     --q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_116,theorem,
    [--p(X10),
     --p(f3(X10)),
     ++q(c14),
     ++p(X11),
     ++q(X13),
     --q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_117,theorem,
    [--p(X10),
     --p(f3(X10)),
     ++q(c14),
     ++p(X11),
     ++q(f4(X16)),
     ++q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_118,theorem,
    [--p(X10),
     --p(f3(X10)),
     ++q(c14),
     ++p(X11),
     ++q(f4(X16)),
     ++q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_119,theorem,
    [--p(X10),
     --p(f3(X10)),
     ++q(c14),
     ++p(X11),
     --q(f4(X16)),
     --q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_120,theorem,
    [--p(X10),
     --p(f3(X10)),
     ++q(c14),
     ++p(X11),
     --q(f4(X16)),
     --q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_121,theorem,
    [--p(X10),
     --p(f3(X10)),
     --q(X12),
     --p(c15),
     --q(X13),
     ++q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_122,theorem,
    [--p(X10),
     --p(f3(X10)),
     --q(X12),
     --p(c15),
     --q(X13),
     ++q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_123,theorem,
    [--p(X10),
     --p(f3(X10)),
     --q(X12),
     --p(c15),
     ++q(X13),
     --q(c16),
     --p(X14),
     ++q(X15)]).

input_clause(clause_124,theorem,
    [--p(X10),
     --p(f3(X10)),
     --q(X12),
     --p(c15),
     ++q(X13),
     --q(c16),
     ++p(c17),
     --q(c18)]).

input_clause(clause_125,theorem,
    [--p(X10),
     --p(f3(X10)),
     --q(X12),
     --p(c15),
     ++q(f4(X16)),
     ++q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_126,theorem,
    [--p(X10),
     --p(f3(X10)),
     --q(X12),
     --p(c15),
     ++q(f4(X16)),
     ++q(X16),
     --p(X18),
     --q(c20)]).

input_clause(clause_127,theorem,
    [--p(X10),
     --p(f3(X10)),
     --q(X12),
     --p(c15),
     --q(f4(X16)),
     --q(X16),
     ++p(c19),
     ++q(X17)]).

input_clause(clause_128,theorem,
    [--p(X10),
     --p(f3(X10)),
     --q(X12),
     --p(c15),
     --q(f4(X16)),
     --q(X16),
     --p(X18),
     --q(c20)]).
%--------------------------------------------------------------------------
